## python-cymruwhois 1.5

=== debian/changelog ===
python-cymruwhois (1.5-1) unstable; urgency=medium

  * Initial release (Closes: #826729) 

 -- Ana Custura <ana@netstat.org.uk>  Sat, 18 Jun 2016 12:19:09 +0100

## python-cymruwhois 1.6

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf _build/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in _build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in _build/qthelp, like this:"
	@echo "# qcollectiongenerator _build/qthelp/cymruwhois.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile _build/qthelp/cymruwhois.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

=== debian/changelog ===
python-cymruwhois (1.6-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Mark python-cymruwhois-doc as Multi-Arch: foreign.
  * Remove a bunch of trailing whitespaces.
  * Rebuild for Python 3.6.  Closes: #882778

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 03 Dec 2017 17:52:47 +0100

python-cymruwhois (1.6-2) unstable; urgency=medium

  * Patches manpage file

 -- Ana Custura <ana@netstat.org.uk>  Sun, 04 Dec 2016 20:00:45 +0000

python-cymruwhois (1.6-1) unstable; urgency=medium

  * New Upstream release

 -- Ana Custura <ana@netstat.org.uk>  Sat, 24 Sep 2016 23:39:02 +0100

=== debian/control ===
Source: python-cymruwhois
Maintainer: Ana Custura <ana@netstat.org.uk>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python,
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools,
               python-docutils,
               python-sphinx,
               python-nose,
               python3-nose,
               python3-docutils,
               python3-sphinx
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/python-cymruwhois.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-cymruwhois.git
Homepage: https://pythonhosted.org/cymruwhois/
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-cymruwhois
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends}
Suggests: python-cymruwhois-doc
Description: Python library for interfacing with the whois.cymru.com service (Python 2)
 Perform lookups by ip address and return ASN,
 Country Code, and Netblock Owner.
 .
 This package installs the library for Python 2.

Package: python3-cymruwhois
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Suggests: python-cymruwhois-doc
Description: Python library for interfacing with the whois.cymru.com service (Python 3)
 Perform lookups by ip address and return ASN,
 Country Code, and Netblock Owner.
 .
 This package installs the library for Python 3.

Package: python-cymruwhois-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Description: python-cymruwhois common documentation
 This is the common documentation package for packages python-cymruwhois and
 python3-cymruwhois. It explains the usage of the cymruwhois API as
 well as the command-line interface of the utility program
 cymruwhois.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1
PYVERS=$(shell pyversions -sv)
PY3VERS=$(shell py3versions -sv)
export PYBUILD_NAME=cymruwhois

%:
	dh $@  --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ docs/_build/html # HTML generator
	sed "s/command\./command (Python 2)/" docs/cymruwhois.1>docs/python-cymruwhois.1
	sed "s/command\./command (Python 3)/" docs/cymruwhois.1>docs/python3-cymruwhois.1
	dh_auto_build

override_dh_auto_install:
	dh_auto_install

	set -e && for pyvers in $(PYVERS); do \
		python$$pyvers setup.py install --install-layout=deb \
		--root $(CURDIR)/debian/python-cymruwhois; \
		done

	set -e && for pyvers in $(PY3VERS); do \
		python$$pyvers setup.py install --install-layout=deb \
		--root $(CURDIR)/debian/python3-cymruwhois; \
		done

	mv $(CURDIR)/debian/python-cymruwhois/usr/bin/cymruwhois $(CURDIR)/debian/python-cymruwhois/usr/bin/python-cymruwhois
	mv $(CURDIR)/debian/python3-cymruwhois/usr/bin/cymruwhois $(CURDIR)/debian/python3-cymruwhois/usr/bin/python3-cymruwhois
override_dh_auto_test:
	echo "Tests are disabled as they require network connectivity."

=== debian/watch ===
version=4

   https://github.com/JustinAzoff/python-cymruwhois/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
